      BLOCK DATA
C     RENBR(FNDCOM/CONTENTS OF COMMON FOR FNDFIL)
C
C     DONALD BARTH, HARVARD BUSINESS SCHOOL
C
      COMMON/FNDLOC/LOCFIL
      CHARACTER*20 LOCFIL
      COMMON/FNDFMT/LOCBAC(10),LOCDIR(10)
C
C     ***********************************************
C     *                                             *
C     *  FORMAT OF FILES TO BE PROCESSED BY PAKDIR  *
C     *                                             *
C     ***********************************************
C
C     LOCBAC = LOCATIONS OF ITEMS IN THE LINES IN
C              DIRECTORIES PRODUCED BY BACKUP PROGRAM.
C     LOCDIR = LOCATIONS OF ITEMS IN THE LINES IN
C              DIRECTORIES PRODUCED BY DIRECT PROGRAM.
C
C     LOCATIONS IN LOCBAC AND LOCDIR ARRAYS ARE PARALLEL
C     FOR EXAMPLE, LOCBAC(6) AND LOCDIR(6) BOTH CONTAIN THE
C     SUBSCRIPT OF THE START OF THE ACCOUNT NAME IN THE
C     CORRESPONDING DIRECTORY FILES.
C
C     LOCBAC( 1) = LOCATION OF FILE NAME
C     LOCBAC( 2) = LOCATION OF FILE NAME EXTENSION
C     LOCBAC( 3) = LOCATION OF FILE LENGTH
C     LOCBAC( 4) = LOCATION OF FILE CREATION DATE
C     LOCBAC( 5) = LOCATION OF DISK STRUCTURE NAME
C     LOCBAC( 6) = LOCATION OF DIRECTORY NAME
C     LOCBAC( 7) = LOCATION OF LESS THAN SIGN IN FILE SPEC
C     LOCGRT( 8) = LOCATION OF GREATER THAN SIGN IN FILE SPEC
C     LOC1ST( 9) = LOCATION OF FIRST MINUS SIGN IN DATE
C     LOC2ND(10) = LOCATION OF SECOND MINUS SIGN IN DATE
C
C     THE ROUTINE NAMED LINTYP IN THE PAKDIR PROGRAM CONTAINS
C     3 ADDITIONAL ARRAYS USED TO DEFINE THE CHARACTERS WHICH
C     ARE EXPECTED AT THE START OF A DIRECTORY FILE CREATED
C     BY BACKUP, AT THE START OF A CONTINUATION TAPE IN A
C     DIRECTORY FILE CREATED BY BACKUP, AND IN FRONT OF EACH
C     TAPE IN A DIRECTORY FILE CREATED BY DIRECT.
C
C     DEFINE FORMAT OF FILES CREATED BY BACKUP
      DATA LOCBAC/ 2, 9,17,33,49,49,25,29,35,39/
C
C     DEFINE FORMAT OF FILES CREATED BY DIRECT
      DATA LOCDIR/ 1, 9,12,34,49,49,26,30,36,40/
C
C     ********************************************
C     *                                          *
C     *  LOCATION OF FILES TO BE READ BY FNDFIL  *
C     *                                          *
C     ********************************************
C
C     LOCFIL = NAME OF THE DIRECTORY IN WHICH THE
C              COMPACTED FILES ARE STORED.  THIS
C              CONSISTS OF 20 CHARACTERS, ENOUGH FOR
C              A 6 DIGIT PROGRAMMER NUMBER, A 6 DIGIT
C              PROJECT NUMBER, A 6 LETTER SFD NAME AND
C              THE 2 SEPARATING COMMAS.
C
C     DATA LOCFIL/'12345678901234567890'/
C     DATA LOCFIL/'123456,123456,123456'/
      DATA LOCFIL/'20,56               '/
C
      END
